com.threerings.whirled.spot.server

## Interface SpotProvider

All Superinterfaces:
  com.threerings.presents.server.InvocationProvider

All Known Implementing Classes:
  SpotSceneRegistry

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from SpotService.java.")
    public interface SpotProvider
    extends com.threerings.presents.server.InvocationProvider

Defines the server-side of the `SpotService`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `changeLocation(com.threerings.presents.data.ClientObject caller, int arg1, Location arg2, com.threerings.presents.client.InvocationService.ConfirmListener arg3)` Handles a `SpotService.changeLocation(int, com.threerings.whirled.spot.data.Location, com.threerings.presents.client.InvocationService.ConfirmListener)` request.
`void` `clusterSpeak(com.threerings.presents.data.ClientObject caller, String arg1, byte arg2)` Handles a `SpotService.clusterSpeak(java.lang.String, byte)` request.
`void` `joinCluster(com.threerings.presents.data.ClientObject caller, int arg1, com.threerings.presents.client.InvocationService.ConfirmListener arg2)` Handles a `SpotService.joinCluster(int, com.threerings.presents.client.InvocationService.ConfirmListener)` request.
`void` `traversePortal(com.threerings.presents.data.ClientObject caller, int arg1, int arg2, int arg3, SpotService.SpotSceneMoveListener arg4)` Handles a `SpotService.traversePortal(int, int, int, com.threerings.whirled.spot.client.SpotService.SpotSceneMoveListener)` request.

### Method Detail

#### changeLocation

    void changeLocation(com.threerings.presents.data.ClientObject caller,
                        int arg1,
                        Location arg2,
                        com.threerings.presents.client.InvocationService.ConfirmListener arg3)
                 throws com.threerings.presents.server.InvocationException

Handles a `SpotService.changeLocation(int, com.threerings.whirled.spot.data.Location, com.threerings.presents.client.InvocationService.ConfirmListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`

#### clusterSpeak

    void clusterSpeak(com.threerings.presents.data.ClientObject caller,
                      String arg1,
                      byte arg2)

Handles a `SpotService.clusterSpeak(java.lang.String, byte)` request.

#### joinCluster

    void joinCluster(com.threerings.presents.data.ClientObject caller,
                     int arg1,
                     com.threerings.presents.client.InvocationService.ConfirmListener arg2)
              throws com.threerings.presents.server.InvocationException

Handles a `SpotService.joinCluster(int, com.threerings.presents.client.InvocationService.ConfirmListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`

#### traversePortal

    void traversePortal(com.threerings.presents.data.ClientObject caller,
                        int arg1,
                        int arg2,
                        int arg3,
                        SpotService.SpotSceneMoveListener arg4)
                 throws com.threerings.presents.server.InvocationException

Handles a `SpotService.traversePortal(int, int, int, com.threerings.whirled.spot.client.SpotService.SpotSceneMoveListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`